Subject: Re: bug#1012: calculate-lisp-indent

From: Andrew Hyatt <[email-masked]>
Date: Tue, 29 Dec 2015 20:19:54 -0500

martin rudalics <[email-masked]> writes:

>> In this E-Mail I included a patch, that solves the problems for me, and
>> was created with the command
>>
>> mhoram@revelstone:~/emacs/trunk/emacs/lisp$ cvs diff -c >
>> ~/emacs-bugreport.txt
>>
>> The patch works for scenario 1 by an additional call of the
>> (backward-prefix-chars) function, which sets point back to the beginning
>> of ",@".
>> For scenario 2 the addition of "\\|([ \t]+" solves the problem, by not
>> entering the while-loop (and thus calling the function (forward-sexp
>> -1)), if there are only spaces between the "(" and the first object.
>
> Thank you, applied.
>
> martin

This bug is still marked open, but I can't reproduce either of the
reported issues against Emacs 25. Can either of you still reproduce the
issue? If not, I'll close the bug.